View Issue Details

IDProjectCategoryView StatusLast Update
0001313OpenFOAM[All Projects] Bugpublic2015-05-01 16:41
Reporteruser676Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
PlatformLinuxOSUbuntuOS Version10.04
Product Version 
Fixed in Version 
Summary0001313: Pressure Jump Correction. Actuator Disc Model and numerical wiggles
DescriptionHi all,

I am working over the rotorDisk model implemented over OpenFoam and I have found a critical issue related to the SIMPLE algorithm.
The issue is described in the next paper:

http://orbit.dtu.dk/fedora/objects/o...190785/content

Quote:
Discrete body forces are used in
the present context to model the influence of wind turbines on
the flow. In
order to overcome the pressure wiggles introduced by discre
te body forces,
one approach is to smooth out the body forces by using a Gaussi
an distri-
bution instead of a Dirac delta distribution
]
I found the problem when simulating the same configuration with TI=10% and TI=1% keeping turbulent length scale and wind speed. The TI=10% simulation matches theoretical quite well but TI=1% underpredict the wind speed in the rotor plane and power extraction is even 30 % lower than expected. Here it a picture of what happens.

In the report, he modifies the Rhie-Chow/SIMPLE pressure correction algorithm, but it is possible to overcome this issue by distributing the force around the cell.

I think that the amplitude of the oscillation near the rotor plane is aleatory but could depend on TI, mesh discretization, schemes.... With a TI = 10%, that wiggle is still there but the amplitude of the oscillation is not so high so the error when calculating the angle of attack is not high.

Best Regards
TagsfvOptions

Activities

user676

2014-06-04 10:00

 

rotor_detail.PNG (50,565 bytes)
rotor_detail.PNG (50,565 bytes)

user676

2014-06-04 12:54

  ~0003100

Last edited: 2014-06-04 15:43

View 3 revisions

It may be solved using a different approach about how to include body forces into the momentum equation, similar to what it is already made in interFoam solver.

It seems like including body forces directly over momemtum equation is not correct and could affect dramatically in the case of rotorDiskSource

http://www.cfd-online.com/Forums/openfoam-solving/90435-interpolation-pressure.html#post315788

IMPORTANT: I am running all simulations with simpleFoam

linnemann

2014-06-06 14:17

reporter   ~0003110

I second this.

A small testcase can be found here https://drive.google.com/file/d/0BxalvZxv-zSEaHdGbWJtYS1pc3M/edit?usp=sharing

henry

2014-12-21 10:42

manager   ~0003349

Thanks for the report. I have been considering calculating forces on faces, applying these directly in the pressure equation and using reconstruct in the momentum equation for some time. For some simple forces it is possible to construct them directly on the faces but for more complex forces e.g. involving grad, curl etc. it is only possible to construct in the cells and interpolate the values to the faces. However, the reconstruction will not guarantee that the integral over the cells is equal to the integral of the original cell values; i.e. no conservation of force, which might be an issue. Maybe some kind of integral correction could be applied to ensure conservation of force but I haven't looked into this in detail.

Have you tested the idea of interpolating the force and using reconstruct? Is the force distribution improved and integrated force correct?

henry

2014-12-29 11:36

manager   ~0003381

I am investigating this in conjunction with http://www.openfoam.org/mantisbt/view.php?id=1363 [^] as the issues relate.

The basic principles are simple but in this case a significant rewrite of fvOptions will be required for an elegant implementation. However, the simple interpolation/reconstuction approach proposed will not necessarily conserve the volume integrated force, which for some force models may be important/critical. This is why I have not implemented the approach yet. I am now working on a special interpolation/reconstuction combination which will conserve the integrated force.

user676

2015-01-08 11:51

  ~0003516

Thank you henry. I have not tested that idea. Is that idea the presented by Alberto here?
http://www.cfd-online.com/Forums/openfoam-solving/90435-interpolation-pressure.html#post315788

I will be waiting for your conservative approach because I need it asap. It I can help you, please tell me.

Best Regards
Marcelino

Issue History

Date Modified Username Field Change
2014-06-04 10:00 user676 New Issue
2014-06-04 10:00 user676 File Added: rotor_detail.PNG
2014-06-04 12:54 user676 Note Added: 0003100
2014-06-04 12:54 user676 Note Edited: 0003100 View Revisions
2014-06-04 15:43 user676 Note Edited: 0003100 View Revisions
2014-06-04 17:35 user676 Tag Attached: fvOptions
2014-06-06 14:17 linnemann Note Added: 0003110
2014-12-21 10:42 henry Note Added: 0003349
2014-12-29 11:36 henry Note Added: 0003381
2015-01-08 11:51 user676 Note Added: 0003516